Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoMarshalVariant

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoMarshalVariant

native declaration : mono\metadata\metadata.h
enum values

Field Summary
`static int` | `MONO_VARIANT_ARRAY`
`static int` | `MONO_VARIANT_BLOB`
`static int` | `MONO_VARIANT_BLOB_OBJECT`
`static int` | `MONO_VARIANT_BOOL`
`static int` | `MONO_VARIANT_BSTR`
`static int` | `MONO_VARIANT_BYREF`
`static int` | `MONO_VARIANT_CARRAY`
`static int` | `MONO_VARIANT_CF`
`static int` | `MONO_VARIANT_CLSID`
`static int` | `MONO_VARIANT_CY`
`static int` | `MONO_VARIANT_DATE`
`static int` | `MONO_VARIANT_DECIMAL`
`static int` | `MONO_VARIANT_DISPATCH`
`static int` | `MONO_VARIANT_EMPTY`
`static int` | `MONO_VARIANT_ERROR`
`static int` | `MONO_VARIANT_FILETIME`
`static int` | `MONO_VARIANT_HRESULT`
`static int` | `MONO_VARIANT_I1`
`static int` | `MONO_VARIANT_I2`
`static int` | `MONO_VARIANT_I4`
`static int` | `MONO_VARIANT_I8`
`static int` | `MONO_VARIANT_INT`
`static int` | `MONO_VARIANT_LPSTR`
`static int` | `MONO_VARIANT_LPWSTR`
`static int` | `MONO_VARIANT_NULL`
`static int` | `MONO_VARIANT_PTR`
`static int` | `MONO_VARIANT_R4`
`static int` | `MONO_VARIANT_R8`
`static int` | `MONO_VARIANT_RECORD`
`static int` | `MONO_VARIANT_SAFEARRAY`
`static int` | `MONO_VARIANT_STORAGE`
`static int` | `MONO_VARIANT_STORED_OBJECT`
`static int` | `MONO_VARIANT_STREAM`
`static int` | `MONO_VARIANT_STREAMED_OBJECT`
`static int` | `MONO_VARIANT_UI1`
`static int` | `MONO_VARIANT_UI2`
`static int` | `MONO_VARIANT_UI4`
`static int` | `MONO_VARIANT_UI8`
`static int` | `MONO_VARIANT_UINT`
`static int` | `MONO_VARIANT_UNKNOWN`
`static int` | `MONO_VARIANT_USERDEFINED`
`static int` | `MONO_VARIANT_VARIANT`
`static int` | `MONO_VARIANT_VECTOR`
`static int` | `MONO_VARIANT_VOID`

Field Detail

### MONO_VARIANT_EMPTY

    static final int MONO_VARIANT_EMPTY

See Also:
  Constant Field Values

### MONO_VARIANT_NULL

    static final int MONO_VARIANT_NULL

See Also:
  Constant Field Values

### MONO_VARIANT_I2

    static final int MONO_VARIANT_I2

See Also:
  Constant Field Values

### MONO_VARIANT_I4

    static final int MONO_VARIANT_I4

See Also:
  Constant Field Values

### MONO_VARIANT_R4

    static final int MONO_VARIANT_R4

See Also:
  Constant Field Values

### MONO_VARIANT_R8

    static final int MONO_VARIANT_R8

See Also:
  Constant Field Values

### MONO_VARIANT_CY

    static final int MONO_VARIANT_CY

See Also:
  Constant Field Values

### MONO_VARIANT_DATE

    static final int MONO_VARIANT_DATE

See Also:
  Constant Field Values

### MONO_VARIANT_BSTR

    static final int MONO_VARIANT_BSTR

See Also:
  Constant Field Values

### MONO_VARIANT_DISPATCH

    static final int MONO_VARIANT_DISPATCH

See Also:
  Constant Field Values

### MONO_VARIANT_ERROR

    static final int MONO_VARIANT_ERROR

See Also:
  Constant Field Values

### MONO_VARIANT_BOOL

    static final int MONO_VARIANT_BOOL

See Also:
  Constant Field Values

### MONO_VARIANT_VARIANT

    static final int MONO_VARIANT_VARIANT

See Also:
  Constant Field Values

### MONO_VARIANT_UNKNOWN

    static final int MONO_VARIANT_UNKNOWN

See Also:
  Constant Field Values

### MONO_VARIANT_DECIMAL

    static final int MONO_VARIANT_DECIMAL

See Also:
  Constant Field Values

### MONO_VARIANT_I1

    static final int MONO_VARIANT_I1

See Also:
  Constant Field Values

### MONO_VARIANT_UI1

    static final int MONO_VARIANT_UI1

See Also:
  Constant Field Values

### MONO_VARIANT_UI2

    static final int MONO_VARIANT_UI2

See Also:
  Constant Field Values

### MONO_VARIANT_UI4

    static final int MONO_VARIANT_UI4

See Also:
  Constant Field Values

### MONO_VARIANT_I8

    static final int MONO_VARIANT_I8

See Also:
  Constant Field Values

### MONO_VARIANT_UI8

    static final int MONO_VARIANT_UI8

See Also:
  Constant Field Values

### MONO_VARIANT_INT

    static final int MONO_VARIANT_INT

See Also:
  Constant Field Values

### MONO_VARIANT_UINT

    static final int MONO_VARIANT_UINT

See Also:
  Constant Field Values

### MONO_VARIANT_VOID

    static final int MONO_VARIANT_VOID

See Also:
  Constant Field Values

### MONO_VARIANT_HRESULT

    static final int MONO_VARIANT_HRESULT

See Also:
  Constant Field Values

### MONO_VARIANT_PTR

    static final int MONO_VARIANT_PTR

See Also:
  Constant Field Values

### MONO_VARIANT_SAFEARRAY

    static final int MONO_VARIANT_SAFEARRAY

See Also:
  Constant Field Values

### MONO_VARIANT_CARRAY

    static final int MONO_VARIANT_CARRAY

See Also:
  Constant Field Values

### MONO_VARIANT_USERDEFINED

    static final int MONO_VARIANT_USERDEFINED

See Also:
  Constant Field Values

### MONO_VARIANT_LPSTR

    static final int MONO_VARIANT_LPSTR

See Also:
  Constant Field Values

### MONO_VARIANT_LPWSTR

    static final int MONO_VARIANT_LPWSTR

See Also:
  Constant Field Values

### MONO_VARIANT_RECORD

    static final int MONO_VARIANT_RECORD

See Also:
  Constant Field Values

### MONO_VARIANT_FILETIME

    static final int MONO_VARIANT_FILETIME

See Also:
  Constant Field Values

### MONO_VARIANT_BLOB

    static final int MONO_VARIANT_BLOB

See Also:
  Constant Field Values

### MONO_VARIANT_STREAM

    static final int MONO_VARIANT_STREAM

See Also:
  Constant Field Values

### MONO_VARIANT_STORAGE

    static final int MONO_VARIANT_STORAGE

See Also:
  Constant Field Values

### MONO_VARIANT_STREAMED_OBJECT

    static final int MONO_VARIANT_STREAMED_OBJECT

See Also:
  Constant Field Values

### MONO_VARIANT_STORED_OBJECT

    static final int MONO_VARIANT_STORED_OBJECT

See Also:
  Constant Field Values

### MONO_VARIANT_BLOB_OBJECT

    static final int MONO_VARIANT_BLOB_OBJECT

See Also:
  Constant Field Values

### MONO_VARIANT_CF

    static final int MONO_VARIANT_CF

See Also:
  Constant Field Values

### MONO_VARIANT_CLSID

    static final int MONO_VARIANT_CLSID

See Also:
  Constant Field Values

### MONO_VARIANT_VECTOR

    static final int MONO_VARIANT_VECTOR

See Also:
  Constant Field Values

### MONO_VARIANT_ARRAY

    static final int MONO_VARIANT_ARRAY

See Also:
  Constant Field Values

### MONO_VARIANT_BYREF

    static final int MONO_VARIANT_BYREF

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD